package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.teambuyTeamLeader.entity.TeambuyTeamLeader;
import org.jeecg.modules.teambuyTeamRelation.entity.TeambuyTeamRelation;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface LeaderService {
    //团长申请
    public Result<?> addLeader(String token, TeambuyTeamLeader teamLeader);
    //解绑团长
    public Result<?> deleteLeader(String token, TeambuyTeamRelation teamRelation);
    //取消解绑
    public Result<?> cancelDeleteLeader(String token, TeambuyTeamRelation teamRelation);
    //更换团长
    public Result<?> updateLeader(String token, TeambuyTeamRelation teamRelation);
    //查询团长信息
    public Result<?> queryLeaderInfo(String token);
    //修改团长信息
    public Result<?> updateLeaderInfo(String token, TeambuyTeamLeader teamLeader);
    //查询团长列表
    public Result<?> queryMemberList(String token, PageBean pageBean);
    //查询团长列表
    public Result<?> queryLeaderList(PageBean pageBean);
    //查询绑定团长信息
    public Result<?> queryMyLeader(String token);
}
